Bug 649991 - Version 7 breaks Geo::IP
Summary: Version 7 breaks Geo::IP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: awstats
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Petr Lautrbach
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-04 22:41 UTC by Steven Stern
Modified: 2011-03-03 09:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-03 09:50:38 UTC


Attachments (Terms of Use)

Description Steven Stern 2010-11-04 22:41:57 UTC
After updating to F14, AWSTATS fails:

Can't locate object method "get_ip_address" via package "Geo::IP" at
/usr/share/awstats/plugins/geoip.pm line 250.

I've removed and reinstalled perl-Geo-IP

This seems to be a bug in Awstats 7.x, which is still in beta.

See:
http://sourceforge.net/tracker/?func=detail&aid=3021745&group_id=13764&atid=113764

As a workaround, I removed awstats version 7 and installed 6.95 from
sourcceforge.  Then:

cd /usr/local/share
ln -s /usr/local/awstats

to put the files where /etc/cron.hourly/awstats is expected them.

Comment 1 Fedora Admin XMLRPC Client 2010-12-01 11:42:33 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Fedora Update System 2011-02-16 09:26:40 UTC
awstats-7.0-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/awstats-7.0-3.fc15

Comment 3 Fedora Update System 2011-02-16 09:26:48 UTC
awstats-7.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/awstats-7.0-2.fc14

Comment 4 Fedora Update System 2011-02-24 20:52:41 UTC
awstats-7.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2011-03-03 02:52:57 UTC
awstats-7.0-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.